On this page
No Headings
Last updated: June 16, 2026
To set up one-time payments using Apple Pay on the Web, integrate Apple Pay as a payment method on the checkout page. Refer to the Apple Pay Developer Documentation to learn more about adding Apple Pay as a payment option.
After buyers authorize the payment, set up your client-side code to invoke the createOrder function in your server-side code to create an order and capture the payment.
To indicate Apple Pay as the payment method, include the apple_pay object in the payment_source of the POST v2/checkout/orders request body.
API endpoint: Create order
curl -v -X POST 'https://api-m.sandbox.paypal.com/v2/checkout/orders/capture' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer ' \
-H 'PayPal-Request-Id: 123e4567-e89b-12d3-a456-426655440010' \
-d '{
"intent": "CAPTURE",
"purchase_units": [
{
"reference_id": "REFID-000-1001",
"amount": {
"currency_code": "CAD",
"value": "10.00"
},
"payee": {
"email_address": "[email protected]"
},
"shipping": {
"name": {
"full_name": "Firstname Lastname"
},
"address": {
"address_line_1": "123 Main St",
"admin_area_2": "Anytown",
"admin_area_1": "CA",
"postal_code": "12345",
"country_code": "US"
}
},
"payment_instruction": {
"platform_fees": [
{
"amount": {
"currency_code": "CAD",
"value": "1.00"
},
"payee": {
"email_address": "[email protected]"
}
}
],
"disbursement_mode": "INSTANT",
"payee_pricing_tier_id": "999ZAE"
}
}
],
"payment_source": {
"apple_pay": {
"id": "DSF32432423FSDFS",
"name": "Firstname Lastname",
"email_address": "[email protected]",
"phone_number": {
"country_code": "1",
"national_number": "5555555555"
},
"decrypted_token": {
"transaction_amount": {
"currency_code": "USD",
"value": "10.00"
},
"tokenized_card": {
"number": "1111111111111111",
"expiry": "2022-02",
"billing_address": {
"address_line_1": "123 Main St",
"admin_area_2": "Anytown",
"admin_area_1": "CA",
"postal_code": "12345",
"country_code": "US"
}
},
"device_manufacturer_id": "040010030273",
"payment_data_type": "3DSECURE",
"payment_data": {
"cryptogram": "SaDA0Gw9cR37j8xrZP6VFCJpa",
"eci_indicator": "7"
}
}
}
}
}'